#!/usr/bin/perl

#Root to be used by the webserver (similar to documentroot in apache)
my $JIGSAWROOT = "d:\\user\\neil\\src\\tmbenches\\Jigsaw\\Jigsaw";

#The path where the compiled jigsaw classes are. 
my $JIGSAWPATH = "../abc.fresh.build/";
#my $JIGSAWPATH = "../ant.build/classes/admin;../ant.build/classes/core;../ant.build/classes/edit";

my $CLASSPATH = $ENV{CLASSPATH};
my $JAVA_HOME = $ENV{JAVA_HOME}; #sun j2sdk
my $ALT_JAVA_HOME = "../../ajhotdraw/deplibs/java-1.4.2-gcj-1.4.2.0"; #gnu jsdk
my $TOOLSJAR = "$JAVA_HOME/lib/tools.jar";
my $TIDYJAR = "../classes/Tidy.jar";
my $SERVLETJAR = "../classes/servlet.jar";
my $OROJAR = "../deplibs/jakarta-oro-2.0.8/jakarta-oro-2.0.8.jar";
my $SAXJAR = "../classes/sax.jar";
my $XPJAR = "../classes/xp.jar";
my $ADD_CP = "../benchmark";


my $JSDKJARS = "$JAVA_HOME/jre/lib/charsets.jar;$JAVA_HOME/jre/lib/jce.jar;$JAVA_HOME/jre/lib/jsse.jar;$JAVA_HOME/jre/lib/plugin.jar;$JAVA_HOME/jre/lib/rt.jar;$JAVA_HOME/jre/lib/sunrsasign.jar;$JAVA_HOME/lib/dt.jar;$JAVA_HOME/lib/htmlconverter.jar;$JAVA_HOME/lib/tools.jar;";
my $ALT_JSDKJARS = "$ALT_JAVA_HOME/jre/lib/charsets.jar;$ALT_JAVA_HOME/jre/lib/jce.jar;$ALT_JAVA_HOME/jre/lib/jsse.jar;$ALT_JAVA_HOME/jre/lib/plugin.jar;$ALT_JAVA_HOME/jre/lib/rt.jar;$ALT_JAVA_HOME/jre/lib/sunrsasign.jar;$ALT_JAVA_HOME/lib/dt.jar;$ALT_JAVA_HOME/lib/htmlconverter.jar;$ALT_JAVA_HOME/lib/tools.jar;";

my $RUNCP="$JSDKJARS;$ALT_JSDKJARS;$OROJAR;$TIDYJAR;$SERVLETJAR;$TOOLSJAR;$SAXJAR;$XPJAR;$JIGSAWPATH;$CLASSPATH;$ADD_CP";

my $cmdline = "java -cp \"$RUNCP\" org.w3c.jigsaw.Main -root \"$JIGSAWROOT\"";
print "Executing: $cmdline";
system $cmdline;
