package memquery;

import java.io.*;
import java.net.*;
import java.util.*;

public class Client {
	DatagramSocket sock = null;
	int packetSize = 1000;
	int recvTimeout = 100;

	public Client() {
		try {
			sock = new DatagramSocket();
			sock.setSoTimeout(recvTimeout);
		} 
		catch (Exception e) {
			System.out.println(e);
		}
	}

	public String queryMemory(String hostname, String data) throws Exception{
		InetAddress addr = InetAddress.getByName(hostname);
		byte[] buff = data.getBytes();

		DatagramPacket packet = new DatagramPacket(buff, buff.length, addr, Server.port);
		sock.send(packet);

		buff = new byte[packetSize];
		packet = new DatagramPacket(buff, buff.length);
		sock.receive(packet);
		String received = new String(packet.getData());
		return received.trim();
	}
}
