package tracematches;

import java.util.*;

public aspect FailSafeEnum {

    // Object dollar$name;

    pointcut vector_update() :
	call(* Vector.add*(..)) ||
	call(* Vector.clear()) ||
        call(* Vector.insertElementAt(..)) ||
        call(* Vector.remove*(..)) ||
        call(* Vector.retainAll(..)) ||
        call(* Vector.set*(..));

     tracematch(Vector ds, Enumeration e) {
	sym create_enum after returning(e) :
	    call(Enumeration+.new(..))
            && args(ds);
	sym call_next before : call(Object Enumeration.nextElement())
	    && target(e);
        sym update_source after : vector_update() 
            && target(ds);

	create_enum call_next* update_source+ call_next
	{
	    // System.out.println(dollar$name);
	    // throw new ConcurrentModificationException();
	}
    }
}
   
