package benchmarks.lor;

import java.util.concurrent.locks.ReentrantLock;

/**
 * LORTest
 * 
 * @author Eric Bodden
 */
public aspect LORTest {

    public static void main(String[] args) {
        ReentrantLock l1 = new ReentrantLock();
        ReentrantLock l2 = new ReentrantLock();
        
        final double prob = 1;
        
        final Worker w1 = new Worker(l1,l2,prob);
        final Worker w2 = new Worker(l1,l2,1.0-prob);        
       
        System.err.println("NEW THREAD 1");
        final Thread t1 = new Thread(w1);
        System.err.println("NEW THREAD 2");
        final Thread t2 = new Thread(w2);
        
        t1.start();
        t2.start();        
        
    }
    
//    pointcut createThread():
//        call(Thread+.new(..));    
//    pointcut lock(ReentrantLock l, Thread t):
//        call(* ReentrantLock.lock()) && target(l) && let(t,Thread.currentThread());
//    pointcut unlock(ReentrantLock l, Thread t):
//        call(* ReentrantLock.unlock()) && target(l) && let(t,Thread.currentThread());
//    
//    tracematch(Thread t1, Thread t2, ReentrantLock l1, ReentrantLock l2) {
//        
//        sym newThread1 after returning(t1):
//            createThread();
//        sym newThread2 after returning(t2):
//            createThread();
//        sym lock1 before: lock(l1,t1);        
//        sym lock2 before: unlock(l1,t1);
//        
//        {
//            
//        }
//        
//    }
//    
    
    
}
